/**
 * @file Importe la configuration du LDAP au sein de l'application, et remplace certaines valeurs en fonction des variables d'environnement.
 * @author manifold
 */
var fs = require('fs');
var path = require('path');

// Point central ; tous les champs de la BDD sont 'cachés' dans config.json et pas visibles directement
var configPath = path.resolve('./', 'ldap_config.json');
const config = JSON.parse(fs.readFileSync(configPath, 'utf8'));

// Override config server from environment
if (process.env.LDAP_URI != null) {
    config.ldap.server = process.env.LDAP_URI;
}

module.exports = {
    config
};
